---
title: 'DeviceMotionEventRotationRate: alpha'
slug: Web/API/DeviceMotionEventRotationRate/alpha
tags:
  - API
  - Device Orientation
  - Intermediate
  - Mobile
  - Motion
  - Orientation
  - Reference
---
<p>{{ ApiRef("Device Orientation Events") }}</p>

<p>This property indicates the rate of rotation around the Z axis -- in degrees per second -- in a {{ domxref("DeviceMotionEventRotationRate") }} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>alpha</em> = <em>deviceRotationRate</em>.alpha;
</pre>

<p>This property is read-only.</p>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt><code>alpha</code></dt>
 <dd>A <code>double</code> indicating the rate of rotation around the Z axis, in degrees per second. See <a href="/en/Detecting_device_orientation#Accelerometer_values_explained" title="en/Detecting device orientation#Accelerometer values explained">Accelerometer values explained</a> for details.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Device Orientation', '#dom-devicemotioneventrotationrate-alpha', 'DeviceMotionEventRotationRate: alpha')}}</td>
   <td>{{Spec2('Device Orientation')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>
<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DeviceMotionEventRotationRate.alpha")}}</p>
</div>
